SHA1SUM(1)

NOM
sha1sum - Calculer et vérifier l'empreinte numérique SHA1

SYNOPSIS
sha1sum [OPTION] ... [FICHIER] ...

DESCRIPTION

Afficher ou vérifier les sommes de contrôle SHA1 (160 bits).

L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

-b, --binary
    lire en mode binaire

-c, --check
    lire les sommes de contrôle des FICHIERs et les vérifier

--tag
    créer une somme de contrôle de type BSD

-t, --text
    lire en mode texte (par défaut)

-z, --zero
    terminer chaque ligne produite par un octet NULL final plutôt que par un changement de ligne et désactiver l'échappement des noms de fichier

  Les cinq options suivantes ne sont utiles que lors de la vérification des sommes de contrôle :

--ignore-missing
    ne pas échouer ou signaler l’état pour les fichiers manquants

--quiet
    ne pas afficher OK pour chaque fichier vérifié avec succès

--status
    ne rien afficher, le code d'état montre le succès

--strict
    quitter avec un code de retour différent de zéro en cas de formatage incorrect des lignes de sommes de contrôle

-w, --warn
    avertir lorsque les lignes de sommes de contrôle sont mal formatées

--help
    afficher l'aide-mémoire et quitter.

--version
    afficher les informations de version et quitter.

Les sommes sont calculées selon la méthode décrite dans le document FIPS-180-1. Lors de la vérification, l'entrée doit être une sortie précédente du programme. Le mode par défaut affiche une ligne avec la somme de contrôle, une espace, un caractère indiquant le type (« * » pour binaire, une espace « » pour texte ou quand binaire n'a pas de sens) et le nom de chaque FICHIER.

Note : il n'y a pas de différences entre le mode binaire et le mode texte sur les systèmes GNU.

BOGUES
L'algorithme SHA-1 ne doit pas être utilisé à des fins de sécurité. Utilisez plutôt un algorithme SHA-2, tel qu'implémenté par les programmes sha224sum(1), sha256sum(1), sha384sum(1), sha512sum(1), ou l'algorithme BLAKE2 tel qu'implémenté dans b2sum(1).

AUTEUR
Écrit par Ulrich Drepper, Scott Miller et David Madore.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
cksum(1)

Documentation complète : <https://www.gnu.org/software/coreutils/sha1sum>
aussi disponible localement à l’aide de la commande : info '(coreutils) sha1sum invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Steve Petruzzello <dlist@bluewin.ch>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.